-- Дізнаємося назву мода
local modname = core.get_current_modname()

-- Активуємо компонент перекладання
local S = core.get_translator(modname)

-- Дізнаємося оригінальні описи предметів
local description_door_wood = core.registered_items["doors:door_wood"].description
local description_door_steel = core.registered_items["doors:door_steel"].description
local description_trapdoor = core.registered_items["doors:trapdoor"].description
local description_trapdoor_steel = core.registered_items["doors:trapdoor_steel"].description

-- Перейменовуємо оригінальні двері та люки на "Двері/люк з віконечком"

core.override_item("doors:door_wood", {
    description = description_door_wood .. " " .. S("with a window"),
})

core.override_item("doors:door_steel", {
    description = description_door_wood .. " " .. S("with a window"),
})

core.override_item("doors:trapdoor", {
	description = description_trapdoor .. " " .. S("with a window"),
})

core.override_item("doors:trapdoor_steel", {
	description = description_trapdoor_steel .. " " .. S("with a window"),
})

-- Видаляємо старі рецепти крафту для того, щоб зареєструвати нові

core.clear_craft({ output = "doors:door_wood" })
core.clear_craft({ output = "doors:door_steel" })
core.clear_craft({ output = "doors:trapdoor" })
core.clear_craft({ output = "doors:trapdoor_steel" })

-- Реєструємо нові двері та люки за допомогою doors API

doors.register("doors_without_window:door_wood", {
	tiles = { { name = modname .. "_door_wood.png", backface_culling = true } },
	description = description_door_wood,
	inventory_image = modname .. "_item_wood.png",
	groups = { choppy = 2, oddly_breakable_by_hand = 2, flammable = 2 },
	recipe = {
		{ "group:wood", "group:wood"},
		{ "group:wood", "group:wood"},
		{ "group:wood", "group:wood"},
	}
} )

doors.register("doors_without_window:door_steel", {
	tiles = { { name = modname .. "_door_steel.png", backface_culling = true } },
	description = description_door_steel,
	inventory_image = modname .. "_item_steel.png",
	groups = {node = 1, cracky = 1, level = 2},
	protected = true,
	sounds = default.node_sound_metal_defaults(),
	sound_open = "doors_steel_door_open",
	sound_close = "doors_steel_door_close",
	gain_open = 0.2,
	gain_close = 0.2,
	recipe = {
		{ "default:steel_ingot", "default:steel_ingot"},
		{ "default:steel_ingot", "default:steel_ingot"},
		{ "default:steel_ingot", "default:steel_ingot"},
	}
} )

doors.register_trapdoor("doors_without_window:trapdoor", {
	description = description_trapdoor,
	inventory_image = modname .. "_trapdoor.png",
	wield_image = modname .. "_trapdoor.png",
	tile_front = modname .. "_trapdoor.png",
	tile_side = "doors_trapdoor_side.png",
	gain_open = 0.06,
	gain_close = 0.13,
	groups = {choppy = 2, oddly_breakable_by_hand = 2, flammable = 2, door = 1},
})

doors.register_trapdoor("doors_without_window:trapdoor_steel", {
	description = description_trapdoor_steel,
	inventory_image = modname .. "_trapdoor_steel.png",
	wield_image = modname .. "_trapdoor_steel.png",
	tile_front = modname .. "_trapdoor_steel.png",
	tile_side = "doors_trapdoor_steel_side.png",
	protected = true,
	sounds = default.node_sound_metal_defaults(),
	sound_open = "doors_steel_door_open",
	sound_close = "doors_steel_door_close",
	gain_open = 0.2,
	gain_close = 0.2,
	groups = {cracky = 1, level = 2, door = 1},
})

-- Реєструємо рецепти крафту для люків, адже вони не мають такої вбудованої функції

core.register_craft({
	type = "shaped",
	output = "doors_without_window:trapdoor 2",
	recipe = {
		{"group:wood", "group:wood", "group:wood"},
		{"group:wood", "group:wood", "group:wood"},
	}
})

core.register_craft({
	type = "shaped",
	output = "doors_without_window:trapdoor_steel",
	recipe = {
		{"default:steel_ingot", "default:steel_ingot"},
		{"default:steel_ingot", "default:steel_ingot"},
	}
})

-- Реєструємо більш логічні рецепти крафту для дверей та люків із початкового моду doors

core.register_craft({
    type = "shaped",
    output = "doors:door_wood",
    recipe = {
        {"group:wood", ""},
        {"group:wood", "group:wood"},
        {"group:wood", "group:wood"}
    }
})

core.register_craft({
	type = "shaped",
	output = "doors:door_steel",
	recipe = {
		{"default:steel_ingot", ""},
		{"default:steel_ingot", "default:steel_ingot"},
		{"default:steel_ingot", "default:steel_ingot"}
	}
})

core.register_craft({
	type = "shaped",
	output = "doors:trapdoor 2",
	recipe = {
		{"group:wood", "group:wood", ""},
		{"group:wood", "group:wood", "group:wood"},
	}
})

core.register_craft({
	type = "shaped",
	output = "doors:trapdoor_steel",
	recipe = {
		{"default:steel_ingot", ""},
		{"default:steel_ingot", "default:steel_ingot"},
	}
})
